Summary:    A QT GUI for the jack audio daemon
Name:       qjackctl
Version:    0.3.9
Release:    %mkrel 4
License:    GPLv2+
Group:      Sound/Utilities
URL:        http://sourceforge.net/projects/qjackctl/
Source:     http://prdownloads.sourceforge.net/qjackctl/%{name}-%{version}.tar.gz
BuildRequires:  qt4-devel jackit-devel imagemagick alsa-lib-devel
BuildRequires:  portaudio-devel
BuildRequires:  desktop-file-utils
Requires:   jackit >= 0.90.0

%description
JACK Audio Connection Kit - Qt GUI Interface: A simple Qt application to
control the JACK server daemon.

%prep
%setup -q

%build
%configure --enable-jack-version
%make
                                        
%install
%makeinstall_std

#menu
desktop-file-install --vendor="" \
  --remove-category="ALSA" \
  --remove-category="JACK" \
  --remove-category="MIDI" \
  --remove-category="Multimedia" \
  --remove-category="Applications" \
  --remove-category="Qt" \
  --add-category="Audio" \
  --add-category="Midi" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files
%doc AUTHORS ChangeLog README TODO
%{_mandir}/man1/*
%{_bindir}/%name
%{_iconsdir}/hicolor/32x32/apps/%name.png
%{_datadir}/applications/*.desktop
%{_datadir}/locale/*.qm


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.9-4.mga4
+ Revision: 517857
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.9-3.mga3
+ Revision: 379834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 barjac <barjac> 0.3.9-2.mga3
+ Revision: 322118
- Changed group in line with new policy
- Corrected  desktop file categories
- minor spec clean

* Fri Jun 08 2012 shlomif <shlomif> 0.3.9-1.mga3
+ Revision: 257637
- New version - 0.3.9 - thanks to Mandriva's package for some changes

* Fri Apr 08 2011 ennael <ennael> 0.3.6-2.mga1
+ Revision: 82135
- clean spec file
- imported package qjackctl


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.6-2mdv2011.0
+ Revision: 614674
- the mass rebuild of 2010.1 packages

* Wed Mar 10 2010 Frank Kober <emuse@mandriva.org> 0.3.6-1mdv2010.1
+ Revision: 517281
- new version 0.3.6

* Thu Nov 26 2009 Jérôme Brenier <incubusss@mandriva.org> 0.3.5-1mdv2010.1
+ Revision: 470272
- new version 0.3.5
- drop P0 (merged upstream)

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.4-3mdv2010.0
+ Revision: 442557
- rebuild

* Thu Jan 01 2009 trem <trem@mandriva.org> 0.3.4-2mdv2009.1
+ Revision: 323187
- fix licence (rpmlint warning)
- add patch to fix the save of profile without any change

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Dec 06 2008 trem <trem@mandriva.org> 0.3.4-1mdv2009.1
+ Revision: 311185
- new release 0.3.4

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-4mdv2009.0
+ Revision: 259953
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-3mdv2009.0
+ Revision: 247774
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Austin Acton <austin@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 138718
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 05 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.1a-2mdv2008.0
+ Revision: 59093
- fix the menu

* Tue Jul 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.1a-1mdv2008.0
+ Revision: 57218
- 0.3.1a

* Wed Jul 11 2007 Austin Acton <austin@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 51160
- buildrequires desktop-file-utils
- new version
- yay for qt4
- drop my beloved jackwrapper (I will always love you)

* Sat Jul 07 2007 Austin Acton <austin@mandriva.org> 0.2.23-1mdv2008.0
+ Revision: 49293
- drop debian menu
- use bundled desktop file
- new version

* Thu Jun 14 2007 Austin Acton <austin@mandriva.org> 0.2.22-1mdv2008.0
+ Revision: 39339
- new version

* Fri May 25 2007 Austin Acton <austin@mandriva.org> 0.2.21-3mdv2008.0
+ Revision: 31109
- oops, fix buildrequires for x86_64

* Wed May 23 2007 Austin Acton <austin@mandriva.org> 0.2.21-2mdv2008.0
+ Revision: 30372
- buildrequires alsa to force linking (closes #30881)


* Thu Mar 15 2007 Austin Acton <austin@mandriva.org> 0.2.21-1mdv2007.1
+ Revision: 144158
- new release
- Import qjackctl

* Mon Sep 11 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.20.10-0.20060518.2mdv2007.0
- xdg menu

* Fri May 19 2006 Austin Acton <austin@mandriva.org> 0.2.20.10-0.20060518.1mdk
- go cvs for freebob support
- mkrel

* Thu Mar 09 2006 Lenny Cartier <lenny@mandriva.com> 0.2.20-1mdk
- 0.2.20

* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 0.2.19a-1mdk
- New release 0.2.19a

* Mon Nov 21 2005 Lenny Cartier <lenny@mandriva.com> 0.2.19-1mdk
- 0.2.19

* Sat Sep 24 2005 Couriousous <couriousous@mandriva.org> 0.2.18-2mdk
- Fix x86_64 build

* Wed Jul 20 2005 Austin Acton <austin@mandriva.org> 0.2.18-1mdk
- New release 0.2.18

* Sat Jun 18 2005 Lenny Cartier <lenny@mandriva.com> 0.2.17-1mdk
- 0.2.17

* Wed Jun 15 2005 Austin Acton <austin@mandriva.org> 0.2.16-1mdk
- New release 0.2.16

* Wed Feb 09 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.15a-1mdk
- 0.2.15a

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 0.2.15-1mdk
- 0.2.15

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.14-1mdk
- 0.2.14

* Sun Nov 21 2004 Austin Acton <austin@mandrake.org> 0.2.13-1mdk
- 0.2.13

* Wed Oct 13 2004 Austin Acton <austin@mandrake.org> 0.2.12a-1mdk
- 0.2.12a

* Sat Oct 09 2004 Austin Acton <austin@mandrake.org> 0.2.12-1mdk
- 0.2.12

* Sat Sep 11 2004 Austin Acton <austin@mandrake.org> 0.2.11-1mdk
- 0.2.11

* Tue Jul 20 2004 Austin Acton <austin@mandrake.org> 0.2.9-2mdk
- add jackwrapper

* Mon Jul 05 2004 Austin Acton <austin@mandrakesoft.com> 0.2.9-1mdk
- 0.2.9

* Mon Apr 05 2004 Austin Acton <austin@mandrake.org> 0.2.7-1mdk
- 0.2.7

